| Class ProfileChar Alphabet type for profiles over another alphabet. ProfileChar<TValue, TCount[, TSpec=void]> Include Headers seqan/basic.h Parameters
TValue | The underlying alphabet type.
TCount | The type to use for counting. Default: nolink:unsigned int
TSpec | Specialization tag. Default: nolink:void
Metafunctions
SourceValue | Returns underlying value for ProfileChar.
ValueSize | Number of different values a value type object can have.
Data Members
count[] | Array of ValueSize elements, giving counts in profile.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56